Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451486 - Cannot switch monitors with xranrd
Summary: Cannot switch monitors with xranrd
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 9
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-14 19:05 UTC by Peter Janakiev
Modified: 2018-04-11 08:05 UTC (History)
4 users (show)

Fixed In Version: xorg-x11-server-Xorg-1.4.99.905-1.20080701
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:43:43 UTC


Attachments (Terms of Use)
xorg.conf file (deleted)
2008-06-14 20:15 UTC, Peter Janakiev
no flags Details
Xorg log file (deleted)
2008-06-14 20:16 UTC, Peter Janakiev
no flags Details
xorg log (deleted)
2008-06-14 20:47 UTC, Peter Janakiev
no flags Details

Description Peter Janakiev 2008-06-14 19:05:54 UTC
Description of problem:
After today's upgrade to xorg-x11-server-Xorg-1.4.99.902-3.20080612.fc9.x86_64 
the switching between the build in monitor (LVDS) and external monitor does not
work anymore

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.902-3.20080612.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
1. open terminal and issue xrandr --output VGA --mode 1680x1050 --output LVDS --off
2. same with fedora's GUI to switch monitors
3.
  
Actual results:
the Xserver is restarted and GDM asks for login

Expected results:
the switch to be possible (it was working the last night, with the previous version)

Additional info:
Hardware info:
Thinkpad X61s
X3100 video 
No errors printed in the X log

Comment 1 Matěj Cepl 2008-06-14 20:05:30 UTC
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Peter Janakiev 2008-06-14 20:15:30 UTC
Created attachment 309368 [details]
xorg.conf file

as requested, original file, created by the install of fedora

Comment 3 Peter Janakiev 2008-06-14 20:16:20 UTC
Created attachment 309369 [details]
Xorg log file

Xorg log as requested run with xorg.conf present

Comment 4 Peter Janakiev 2008-06-14 20:47:53 UTC
Created attachment 309370 [details]
xorg log

The Xorg log file made without xorg.conf file as requested

Comment 5 Peter Janakiev 2008-06-17 19:15:11 UTC
I can also confirm the behaviour on i386 exactly after the same update of Xorg. 
Can please someone isolate this? Confirm it maybe? 

Comment 6 Peter Janakiev 2008-06-18 21:32:05 UTC
Confirmed same on Intel 855GM - same Xorg version, i386 package. Seems the
problem is in the Xorg server.

Comment 7 Peter Janakiev 2008-07-03 05:17:08 UTC
Here is a backtrace in the log (intel 855GM, i386)

(II) intel(0): I2C device "LVDSDDC_C:ddc2" registered at address 0xA0.
(II) intel(0): I2C device "LVDSDDC_C:ddc2" removed.

Backtrace:
0: /usr/bin/Xorg(xf86SigHandler+0x79) [0x80bcaa9]
1: [0x110400]
2: /usr/bin/Xorg(xf86ModesEqual+0xc) [0x80ed67c]
3: /usr/bin/Xorg(xf86SetScrnInfoModes+0x1b3) [0x80e70f3]
4: /usr/bin/Xorg [0x80eeed8]
5: /usr/bin/Xorg(RRGetInfo+0xb1) [0x816dd81]
6: /usr/bin/Xorg(ProcRRGetScreenSizeRange+0xaa) [0x81716ba]
7: /usr/bin/Xorg [0x816ab05]
8: /usr/bin/Xorg(Dispatch+0x34f) [0x8085c8f]
9: /usr/bin/Xorg(main+0x47d) [0x806b60d]
10: /lib/libc.so.6(__libc_start_main+0xe6) [0x91c5d6]
11: /usr/bin/Xorg(FontFileCompleteXLFD+0x229) [0x806a9f1]

Fatal server error:
Caught signal 11.  Server aborting

(II) UnloadModule: "mouse"

Also this happens only in gnome-session, if I telinit 3 and start X with Xorg &
and then open a terminal there I can switch the monitors.
Sometimes the first switch in gnome session works but then when I try to switch
back it crashes. 

Please, would someone take a look at that, its been long time i cannot connect
my laptop to any monitor. 

Comment 8 Peter Janakiev 2008-07-09 09:17:04 UTC
This is to confirm that the issue is resolved with
xorg-x11-server-Xorg-1.4.99.905-1.20080701.fc9.i386



Comment 9 Peter Janakiev 2008-07-11 12:51:31 UTC
Sorry but I have to re-open this - the solution seem to be partial.

Now on the current release in fedora updates I can switch the monitors but only
one at a time on the command line i.e.
xrandr --output ... [other options]
If I use the --output parameter once more on the same command the X server
crashes again i.e.
xrandr --output VGA --mode 1280x1024 --output LVDS --off 
this crash the X

This implies that the GUI in fedora designated to manipulate the screen is
unusable as it tries to use both --output parameters at the same time to turn
off the LVDS and on the VGA with the selected mode and this crashes the server.



Comment 10 John Dennis 2008-07-22 21:55:15 UTC
I believe I'm seeing a similar problem. I have script which invokes xrandr, but
it invokes xrandr once per output. The crash is not consistent, but usually
occurs when changing the number of heads, e.g. 1 head --> 2 heads or 2 heads -->
1 head. Sorry, but I haven't figured out the exact pattern. Server is:

xorg-x11-server-common-1.4.99.905-1.20080701.fc9.i386

Comment 11 Bug Zapper 2009-06-10 01:37:17 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Bug Zapper 2009-07-14 17:43:43 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.